Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.jbrowser
Class Options.Display

    java.lang.Object
      gnu.jbrowser.Options.Display

All Implemented Interfaces:
  Options.DisplayIro

Enclosing class:
  Options

    public static class Options.Display

extends java.lang.Object
implements Options.DisplayIro

Field Summary

Fields inherited from interface gnu.jbrowser.Options.DisplayIro
`STYLE_CUSTOM, STYLE_FIRST, STYLE_JAVA, STYLE_LAST, STYLE_UML`

Constructor Summary
`Options.Display()`

Method Summary
`boolean` | `getAbstractItalic()`
`boolean` | `getAlphaSort()`
`Options.DisplayIro` | `getInverseOptions()`
`boolean` | `getShowArgumentNames()`
`boolean` | `getShowArguments()`
`boolean` | `getShowIconKeywords()`
`boolean` | `getShowLineNum()`
`boolean` | `getShowMiscMod()`
`boolean` | `getShowNestedName()`
`boolean` | `getStaticUlined()`
`int` | `getStyleIndex()`
`boolean` | `getTypeIsSuffixed()`
`boolean` | `getVisSymbols()`
`void` | `setAbstractItalic(boolean flag)`
`void` | `setAlphaSort(boolean flag)`
`void` | `setShowArgumentNames(boolean flag)`
`void` | `setShowArguments(boolean flag)`
`void` | `setShowIconKeywords(boolean flag)`
`void` | `setShowLineNum(boolean flag)`
`void` | `setShowMiscMod(boolean flag)`
`void` | `setShowNestedName(boolean flag)`
`void` | `setStaticUlined(boolean flag)`
`void` | `setStyleIndex(int index)`
`void` | `setTypeIsSuffixed(boolean flag)`
`void` | `setVisSymbols(boolean flag)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Options.Display

    public Options.Display()

Method Detail

### getShowArguments

    public final boolean getShowArguments()

  Specified by:
    `getShowArguments` in interface `Options.DisplayIro`

### getShowArgumentNames

    public final boolean getShowArgumentNames()

  Specified by:
    `getShowArgumentNames` in interface `Options.DisplayIro`

### getShowNestedName

    public final boolean getShowNestedName()

  Specified by:
    `getShowNestedName` in interface `Options.DisplayIro`

### getShowIconKeywords

    public final boolean getShowIconKeywords()

  Specified by:
    `getShowIconKeywords` in interface `Options.DisplayIro`

### getShowMiscMod

    public final boolean getShowMiscMod()

  Specified by:
    `getShowMiscMod` in interface `Options.DisplayIro`

### getAlphaSort

    public final boolean getAlphaSort()

  Specified by:
    `getAlphaSort` in interface `Options.DisplayIro`

### getShowLineNum

    public final boolean getShowLineNum()

  Specified by:
    `getShowLineNum` in interface `Options.DisplayIro`

### getStyleIndex

    public final int getStyleIndex()

  Specified by:
    `getStyleIndex` in interface `Options.DisplayIro`

### getVisSymbols

    public final boolean getVisSymbols()

  Specified by:
    `getVisSymbols` in interface `Options.DisplayIro`

### getAbstractItalic

    public final boolean getAbstractItalic()

  Specified by:
    `getAbstractItalic` in interface `Options.DisplayIro`

### getStaticUlined

    public final boolean getStaticUlined()

  Specified by:
    `getStaticUlined` in interface `Options.DisplayIro`

### getTypeIsSuffixed

    public final boolean getTypeIsSuffixed()

  Specified by:
    `getTypeIsSuffixed` in interface `Options.DisplayIro`

### setShowArguments

    public final void setShowArguments(boolean flag)

### setShowArgumentNames

    public final void setShowArgumentNames(boolean flag)

### setShowNestedName

    public final void setShowNestedName(boolean flag)

### setShowIconKeywords

    public final void setShowIconKeywords(boolean flag)

### setShowMiscMod

    public final void setShowMiscMod(boolean flag)

### setAlphaSort

    public final void setAlphaSort(boolean flag)

### setShowLineNum

    public final void setShowLineNum(boolean flag)

### setStyleIndex

    public final void setStyleIndex(int index)

### setVisSymbols

    public final void setVisSymbols(boolean flag)

### setAbstractItalic

    public final void setAbstractItalic(boolean flag)

### setStaticUlined

    public final void setStaticUlined(boolean flag)

### setTypeIsSuffixed

    public final void setTypeIsSuffixed(boolean flag)

### getInverseOptions

    public final Options.DisplayIro getInverseOptions()

  Specified by:
    `getInverseOptions` in interface `Options.DisplayIro`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.